PHP update issue in Joomla 2.5

General questions relating to Joomla! 2.5. Note: All 1.6 and 1.7 releases have reached end of life and should be updated to 2.5. There are other boards for more specific help on Joomla! features and extensions.

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting.
Forum Post Assistant - If you are serious about wanting help, you should use this tool to help you post.
Post Reply
Bamboozle
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Wed May 03, 2017 8:34 am

PHP update issue in Joomla 2.5

Post by Bamboozle » Thu Apr 02, 2020 9:53 am

Hi all, after inheriting a joomla website a couple of years back, I’ve never really got my head round how it all works, so it’s never been updated, I’ve no idea what version it is, but now my host has updated the PHP and the site isn’t working at all, I’ve edited the config file so it says ‘mysqli’ instead of ‘mysql’ but it still doesn’t work, so I’m guessing it all needs updating (gulp) question is how do I figure out the version to get the correct update files? And is this going to fry my brain? I’m really not very competent with this sort of stuff
Last edited by toivo on Fri Apr 03, 2020 1:29 am, edited 1 time in total.
Reason: mod note: retitled, moved from 3.x

rayadan
Joomla! Apprentice
Joomla! Apprentice
Posts: 18
Joined: Thu Jan 30, 2020 8:42 am

Re: PHP update issue

Post by rayadan » Thu Apr 02, 2020 9:57 am

What errors do you get?
What is your hosting manager app?

Bamboozle
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Wed May 03, 2017 8:34 am

Re: PHP update issue

Post by Bamboozle » Thu Apr 02, 2020 10:14 am

Initially I got ‘ Database connection error (1): The MySQL adapter 'mysql' is not available’ but when I changed the config file I just got a blank page and no error at all, It’s all hosted on Dreamhost, who are being less than helpful

gws
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 4175
Joined: Tue Aug 23, 2005 1:56 pm
Location: South coast, UK
Contact:

Re: PHP update issue

Post by gws » Thu Apr 02, 2020 10:24 am

In your hosting Cpanel make sure mysqli is selected in your PHP version.

Bamboozle
Joomla! Fledgling
Joomla! Fledgling
Posts: 4
Joined: Wed May 03, 2017 8:34 am

Re: PHP update issue

Post by Bamboozle » Thu Apr 02, 2020 10:36 am

Ok had a response from dreamhost, I’m using joomla 2.xx and it needs to be 3.2 to run on the new PHP version, so it’s update time (gulp)

gws
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 4175
Joined: Tue Aug 23, 2005 1:56 pm
Location: South coast, UK
Contact:

Re: PHP update issue

Post by gws » Thu Apr 02, 2020 10:50 am

Follow this guide. viewtopic.php?f=710&t=793171

User avatar
JAVesey
Joomla! Hero
Joomla! Hero
Posts: 2275
Joined: Tue May 14, 2013 1:21 pm
Location: Cardiff, Wales, UK
Contact:

Re: PHP update issue

Post by JAVesey » Thu Apr 02, 2020 12:08 pm

Bamboozle wrote:
Thu Apr 02, 2020 10:36 am
Ok had a response from dreamhost, I’m using joomla 2.xx and it needs to be 3.2 to run on the new PHP version, so it’s update time (gulp)
Best practice would be to put your site offline (you can edit configuration.php to do this) then download the site to your local machine and do the migration offline using an suitable AMP stack (WAMP, XAMPP, MAMP, etc).

Good luck :)
John V
Cardiff, Wales, UK
Uses Joomla 3.9.23 and PHP7.4.11

User avatar
AMurray
Joomla! Champion
Joomla! Champion
Posts: 6220
Joined: Sat Feb 13, 2010 7:35 am
Location: Australia

Re: PHP update issue

Post by AMurray » Thu Apr 02, 2020 10:51 pm

Bamboozle wrote:
Thu Apr 02, 2020 10:36 am
Ok had a response from dreamhost, I’m using joomla 2.xx and it needs to be 3.2 to run on the new PHP version, so it’s update time (gulp)
Joomla 3.5.x is the minimum to run on PHP 7. According to Dreamhost what is the new php version? Should be at least 7.2 (support until November 2020) but preferably your host should offer PHP 7.3 or 7.4.

Update to Joomla 3.9.16 (released March 2020) and ensure you stay up to date - Joomla releases come out every 4-6 weeks on average.

Instruction for migration from 2.5 found here: viewtopic.php?f=710&t=793171 but first read viewtopic.php?f=710&t=868240.
Regards,
--------------------------------------------------------------
A Murray
Help you I can, yes!. Post your question, you should. Keep it on topic you must!
Use the Forc....Forum Post Assistant my young Padawan!


Post Reply

Return to “General Questions/New to Joomla! 2.5”